import { ExtractPropTypes, PropType } from 'vue';
export declare const ImageProps: {
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    radius: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: StringConstructor;
        default: null;
    };
    error: {
        type: StringConstructor;
        default: null;
    };
    onLoad: {
        type: PropType<(e: Event) => void | Promise<any>>;
    };
    onError: {
        type: PropType<(e: Event) => void | Promise<any>>;
    };
    fit: {
        type: PropType<"fill" | "contain" | "cover" | "none" | "scale-down">;
        default: string;
        validator: (type: string) => boolean;
    };
};
export declare type ImageProps = ExtractPropTypes<typeof ImageProps>;
