import { ExtractPropTypes, PropType } from 'vue';
declare function typeValidator(type: string): boolean;
declare function sizeValidator(size: string): boolean;
declare function loadingTypeValidator(type: string): boolean;
export declare const ButtonProps: {
    type: {
        type: PropType<"default" | "success" | "primary" | "info" | "warning" | "danger">;
        default: string;
        validator: typeof typeValidator;
    };
    size: {
        type: PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: typeof sizeValidator;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: PropType<"round" | "square" | "radius">;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    isRipple: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingText: {
        type: StringConstructor;
        default: string;
    };
    loadingSize: {
        type: PropType<"small" | "mini" | "normal" | "large">;
        default: string;
        validator: typeof sizeValidator;
    };
    loadingType: {
        type: PropType<"time" | "circle" | "wave" | "point" | "rever" | "bounce" | "battery">;
        default: string;
        validator: typeof loadingTypeValidator;
    };
    bgColor: {
        type: StringConstructor;
    };
    textColor: {
        type: StringConstructor;
    };
    onClick: {
        type: PropType<(e: Event) => void | Promise<any>>;
    };
};
export declare type ButtonProps = ExtractPropTypes<typeof ButtonProps>;
export {};
